# $Revision: 1.10.2.2 $, $Date: 2004/08/22 11:42:26 $
Summary:	Utilities for Synaptics touchpad
Summary(pl):	Narzdzia do touchpada Synaptics
Name:		XFree86-synaptics
Version:	0.13.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://w1.894.telia.com/~u89404340/touchpad/files/synaptics-%{version}.tar.bz2
# Source0-md5:	4534e44d4755190722218344edca090d
URL:		http://w1.894.telia.com/~u89404340/touchpad/
BuildRequires:	XFree86-devel
BuildRequires:	perl-base
Conflicts:	XFree86 <= 1:4.3.99.902-0.1
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Utilities for Synaptics touchpad.

%description -l pl
Narzdzia do touchpada Synaptics.

%package -n XFree86-input-synaptics
Summary:	XFree86 input driver for Synaptics touchpad
Summary(pl):	Sterownik wejciowy XFree86 do touchpada Synaptics
Group:		X11/Libraries
Conflicts:	XFree86-modules <= 1:4.3.99.902-0.1

%description -n XFree86-input-synaptics
XFree86 input driver for Synaptics touchpad.

%description -n XFree86-input-synaptics -l pl
Sterownik wejciowy XFree86 do touchpada Synaptics.

%prep
%setup -q -n synaptics-%{version}

%build
%{__make} clean all \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	LIBDIR=%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/modules/input}

install synclient syndaemon $RPM_BUILD_ROOT%{_bindir}
install manpages/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install synaptics_drv.o $RPM_BUILD_ROOT%{_libdir}/modules/input

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COMPATIBILITY INSTALL NEWS README* TODO
%lang(de) %doc INSTALL.DE
%lang(fr) %doc INSTALL.FR
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n XFree86-input-synaptics
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/modules/input/*.o

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: XFree86-synaptics.spec,v $
Revision 1.10.2.2  2004/08/22 11:42:26  havner
- 0.13.5

Revision 1.10.2.1  2004/07/29 23:01:27  havner
- move on AC-branch

Revision 1.10  2004/07/29 21:07:09  qboosh
- updated lib64 support (fixes build on amd64); release 2

Revision 1.9  2004/07/29 20:32:36  havner
- 0.13.4

Revision 1.8  2004/05/15 21:31:44  paszczus
- updated to 0.13.2

Revision 1.7  2004/03/26 18:51:14  qboosh
- release 2

Revision 1.6  2004/03/26 18:48:26  qboosh
- fixed fix

Revision 1.5  2004/03/26 18:44:38  qboosh
- lib64 fix

Revision 1.4  2004/03/25 21:21:27  arekm
- updated to 0.12.5

Revision 1.3  2004/02/15 10:53:34  arekm
- updated to 0.12.4

Revision 1.2  2003/12/27 02:17:59  qboosh
- ExcludeArch from XFree86.spec

Revision 1.1  2003/12/26 19:28:18  qboosh
- separated from XFree86.spec, updated to 0.12.2
- just builds separately, already contains headers from X 4.2.0 (should work with 4.3.x too)

